package account_client

import "github.com/gofiber/fiber/v2"

func (receiver *AccountController) Register(router fiber.Router) {
	router.Delete("/account", receiver.Delete)
	router.Get("/account", receiver.Get)
	router.Patch("/account", receiver.Update)
	router.Post("/account", receiver.Create)
	router.Get("/account/pipe", receiver.AccountPipe)
	router.Patch("/account/:userId", receiver.SetVerificationStatus)
}

func (receiver *AccountController) Name() string {
	return ""
}
